### Class

# Gegl Processor

#### Description

    final class Gegl.Processor : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gegl_processor_get_buffer

Returns the (cache) buffer the processor is rendering into, another way of getting to the same pixel data is calling gegl_node_blit with flags indicating that we want caching and accept dirty data.

###### gegl_processor_set_level

No description available.

###### gegl_processor_set_rectangle

Change the rectangle a `GeglProcessor` is working on.

###### gegl_processor_set_scale

No description available.

###### gegl_processor_work

Do an iteration of work for the processor.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gegl.Processor:chunksize

No description available.

###### Gegl.Processor:node

No description available.

###### Gegl.Processor:progress

No description available.

###### Gegl.Processor:rectangle

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.